import type { UniqueIdentifier } from '@dnd-kit/abstract';
import type { FlattenedTreeItem, TreeItemData } from "../types.js";
export declare function flattenTree(items: TreeItemData[], parentId?: string | null, depth?: number): FlattenedTreeItem[];
export declare function buildTree(flattenedItems: FlattenedTreeItem[]): TreeItemData[];
export declare function getDragDepth(offset: number, indentationWidth: number): number;
export declare function getProjection(items: FlattenedTreeItem[], targetId: UniqueIdentifier, projectedDepth: number): {
    depth: number;
    maxDepth: number;
    minDepth: number;
    parentId: string | null;
};
export declare function getDescendants(items: FlattenedTreeItem[], parentId: UniqueIdentifier): Set<string>;
